Get checklist

Get checklist. See the OpenAPI-defined parameters, request body, and responses below.

GET /Checklist/{id}

Get checklist. See the OpenAPI-defined parameters, request body, and responses below.

OpenAPI description: Este endpoint retorna os detalhes de um checklist especificado pelo identificador.

Authentication

Authentication required. Send your user API key in the X-API-Key header.

Parameters

NameLocationTypeRequiredDescriptionConstraints
idpathinteger · int32Yes——

Request body

This operation does not accept a request body.

Example request

curl --request GET \
  --url 'https://api.zild.ai/Checklist/{id}' \
  --header 'X-API-Key: YOUR_USER_API_KEY'

Responses

StatusDescriptionResponse body
200Sucesso ao retornar o checklistapplication/json · ChecklistDto

Example response (200):

{
  "id": 0,
  "name": "string",
  "code": "string",
  "enable": true,
  "agentId": 0
}

Data models

ChecklistDto
PropertyTypeRequiredDescriptionConstraints
idinteger · int32No——
namestringNo—nullable
codestringNo—nullable
enablebooleanNo——
agentIdinteger · int32No——